GETAP(1)

NAME
getap - get RLE images to an Apollo display

SYNOPSIS
getap [ -b ] [ -g gamma ] [ -l ] [ -n ] [ -r ] [ -t text ] [ -w ] [ -x left ] [ -y top ] [ file ]

DESCRIPTION
This program displays an RLE(5) file on an Apollo workstations running the Display Manager. It uses a dithering technique to take a full-color or gray scale image into the limited number of colors typically available, unless "borrow mode" is specified. Under borrow mode, the 24 bit mode of the Apollo hardware is used (if it's available). On bitmap displays, getap converts the image to black and white and uses bitmap dithering.

OPTIONS

-b  This tells getap to use "borrow mode" instead of an apollo window, if the hardware supports it. The only hardware that supports this are the DN550, DN560 and the DN660. The bottom portion of the image is chopped off on workstations without square screens.

-g gamma
    This loads a color map with the specified gamma.

-l  Loads a linear color map.

-n  "No border" mode. The Apollo window will have no border or annotation drawn.

-r  On black and white displays, this flips the orientation of black and white.

-t text
    Displays the text string at the bottom of the image.

-w  Convert the image to grays before displaying. On 4-bit displays, this produces a significantly nicer looking image.

-x left
    Specify position of the left edge of the window.

-y top
    Specify position of the top edge of the window.

SEE ALSO
urt(1), RLE(5).

AUTHOR
John W. Peterson

BUGS
Getap is pretty sloppy about dealing with the color map, particularly in window mode. Since Apollo workstations now support the X window system, getap is mostly subsumed by getx11.